POST/shorts.v1alpha1.PoliticiansService/GetParliamentOverview

GetParliamentOverview

Parliament-wide counts and the as-at date. Cheap; drives the hub tiles.

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Responses

200Success
application/json
object
asAtstring <date-time>

newest lodgement we hold (proto google.protobuf.Timestamp)

declaredRowCountinteger <int32>

(proto int32)

firstParliamentinteger <int32>

(proto int32)

lastParliamentinteger <int32>

(proto int32)

politicianCountinteger <int32>

(proto int32)

refreshedAtstring <date-time>

when our snapshot was built (proto google.protobuf.Timestamp)

resolvedListedCountinteger <int32>

distinct companies publishably resolved (proto int32)

resolvedSuburbCountinteger <int32>

distinct suburbs publishably resolved (proto int32)

sourceLicencestring

(proto string)

statementCountinteger <int32>

(proto int32)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.PoliticiansService/GetParliamentOverview" \
  -H "Content-Type: application/json" \
  -d '{}'